package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFC18 extends MwfRequest<MWFC18, MWFC18Response> {

    @Parameter(name = "CisloKaretnihoUctu")
    MWFC18 cisloKaretnihoUctu(Long cisloKaretnihoUctu);
    @Parameter(name = "CisloKarty")
    MWFC18 cisloKarty(String cisloKarty);
    @Parameter(name = "DatumTransakce")
    MWFC18 datumTransakce(java.util.Date datumTransakce);
    @Parameter(name = "DatumTransakceDo")
    MWFC18 datumTransakceDo(java.util.Date datumTransakceDo);
    @Parameter(name = "DatumTransakceOd")
    MWFC18 datumTransakceOd(java.util.Date datumTransakceOd);
    @Parameter(name = "DatumVypisu")
    MWFC18 datumVypisu(java.util.Date datumVypisu);
    @Parameter(name = "DruhKarty")
    MWFC18 druhKarty(String druhKarty);
}
